/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-31
 * 描述            ：质量设计-坯料规格（连铸/模铸）-适用产线
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.slmord.vo;
import java.io.Serializable;

import market.Qms.slmord.mapper.SlmOrdDesignMscBiltCPlMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORD_DESIGN_MSC_BILT_C_PL", namespace=SlmOrdDesignMscBiltCPlMapper.class)
public class SlmOrdDesignMscBiltCPl extends BaseVO implements Serializable {
	/** 
	 * DESIGN_KEY
	 */ 
	@Id
	private String design_key;
	public String  getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * 全程产线号(COM_MSC_BACKLOG)
	 */ 
	@Id
	private String msc_pline;
	public String  getMsc_pline() {
		return this.msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}

	/** 
	 * 连铸/模铸坯料规格
	 */ 
	@Id
	private String c_spec_code;
	public String  getC_spec_code() {
		return this.c_spec_code;
	}
	public void setC_spec_code(String c_spec_code) {
		this.c_spec_code = c_spec_code;
	}

	/** 
	 * 产线代码
	 */ 
	@Id
	private String pline_code;
	public String  getPline_code() {
		return this.pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	/** 
	 * 产线描述
	 */ 
	@Column
	private String pline_name;
	public String  getPline_name() {
		return this.pline_name;
	}
	public void setPline_name(String pline_name) {
		this.pline_name = pline_name;
	}

}
